edu.isi.pegasus.planner.parser

## Class IVSElement

- java.lang.Object
- - edu.isi.pegasus.planner.parser.IVSElement

    public class IVSElement
    extends java.lang.Object

This class keeps the name of an element and its corresponding java object reference. The structure is used by the stack in `InvocationParser`.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  `InvocationParser`

### Field Summary

Fields
`java.lang.String` `m_name`
`Invocation` `m_obj`

### Constructor Summary

Constructors
Constructor and Description
`IVSElement(java.lang.String name, Invocation invocation)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_name

    public java.lang.String m_name

#### m_obj

    public Invocation m_obj

### Constructor Detail

#### IVSElement

    public IVSElement(java.lang.String name,
                      Invocation invocation)